
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>保持开源项目健康运行并减少压力的 10 件事 / iVAN</title>

    <meta name="description" content="保持开源项目健康运行并减少压力的 10 件事 在2017的头几天,我开始研究我最新的开源项目.它的设计和构建,是用来解决我的一个业务问题.该项目被称为bootparts,它的用途是简化网站建设的过程. 这不是我第一次进入编码世界.这些年来,我以不同的方式为不同的项目做出了贡献.然而,这一次我负责一切事情.这给了我额外的压力.我不喜欢压力.但是与其简单地忽略它,我决定以健康的态度去管理和处理压力,下面是我怎么做的方法: (1)我决定什么时候开始这个项目 我从开源社区听到最大的抱怨之一是,人们既期望维护人员夜以继日地工作.同时人们又对为了修复b">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">保持开源项目健康运行并减少压力的 10 件事</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在2017的头几天，我开始研究我最新的开源项目。它的设计和构建，是用来解决我的一个业务问题。该项目被称为bootparts，它的用途是简化网站建设的过程。</p>
<p>这不是我第一次进入编码世界。这些年来，我以不同的方式为不同的项目做出了贡献。然而，这一次我负责一切事情。这给了我额外的压力。我不喜欢压力。但是与其简单地忽略它，我决定以健康的态度去管理和处理压力，下面是我怎么做的方法：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzVjNjI5NzA2YmQ0ZjAzZWQ0YjExMDk3MzBhYjc1YzE5NmM4NDI4ZWMucG5n.jpg"></p>
<p>（1）我决定什么时候开始这个项目</p>
<p>我从开源社区听到最大的抱怨之一是，人们既期望维护人员夜以继日地工作。同时人们又对为了修复bug和极端情况下 而长时间的无薪工作行为感到羞愧。这容易造成工作倦怠并且伤害到整个团队的积极性。</p>
<p>从第一天开始，我决定只在我想要的时候做这个项目。如果有人需要添加一些东西到项目里可以组队自己添加或付钱给我（Yelluw）来添加。我不反对个性需求。我反对的是所有开源工作都是免费的（如啤酒）。通过限制什么时候在项目工作，我减少压力的量。任何外来者的无理期望都是被这个规则简单处理掉的。</p>
<p>（2）休息</p>
<p>休息很重要。当你在一个项目上工作时，更是如此。我知道这对有些人来说是很难，但是工作过多会降低产量和质量。休息让我考虑实施并提出更好的解决方案。这也可以让我的思绪自由发散地去想想其他的代码。过分集中于一个代码往往是很累人的。</p>
<p>我的经验法则是，每两个星期的工作，我休息时间不少于连续三天。休息期间不写代码。</p>
<p>（3）提早设定期望</p>
<p>从一开始就设定期望，人们就不能让你做你不想做的事情。对我来说，期望很简单：</p>
<p>我不会提供支持。</p>
<p>我只会修复提出来的重要的错误代码（他们影响我或我的付费客户）。</p>
<p>我不会接受贡献。</p>
<p>我不会接受捐款。</p>
<p>这四个明确的期望赶走了人们。我确实失去了一些善意的开发商的兴趣，但这是付出代价的安心。</p>
<p>（4）从一开始就写文档</p>
<p>这很简单，但是有效。我写项目文档，来减少问题的数量和支持的要求。这一课是多年前学的。没有写文档的代码意味着其他开发者会在工作期间打扰我问我，我认为是愚蠢的问题。原来他们不是愚蠢的问题。我才是愚蠢的那一个–没有记录代码使实施变得简单。现在我从一开始就记录，并确保得到反馈的文件。</p>
<p>（5）迅速关闭问题</p>
<p>如果我不打算处理这些问题，就没有意义了。眼不见心不烦。</p>
<p>（6）不接受大家的贡献</p>
<p>并不是每个人都适合这个项目。我们可能无法合作。人们往往认为项目维护者都张开双臂迎接他们的贡献。不，一点也不。由我来决定你的贡献是否符合一般的项目路线图。不添加任何额外的工作开销。正确记录。这似乎太苛刻了吗？是的，这是严酷的。但它对我有用。我不想花我的时间处理BS。我就想写代码，然后得到报酬而已。</p>
<p>（7）不接受每个人的反馈</p>
<p>原来有大量的不良反馈。人们倾向于给予反馈但又不需要花时间去理解项目的背景。然而，每个项目都有它开发的上下文。没有它的反馈（建议）是垃圾。曾经有人告诉我，我应该解决这个问题，因为它使项目无法使用（虽然我自己在生产中就使用它）。有些意见就像混蛋。你会经常会遇到一些。学会恰当地处理它们吧。</p>
<p>（8）定义成功</p>
<p>这就是一些人失去动力的所在。拥有一个人们认为成功的项目需要花费大量的时间和精力。我不在乎人们是否认为这个项目是成功的，因为我定义了成功意味着什么。这个项目成功吗？对！它已经节省了我的时间和精力。但这不是巧合，该项目的成功是从一开始就定义为：如果我能减少我为客户在网站上工作的时间，这个项目将是成功的。成功不是建立在一些虚荣的基础上，就像它变得多么受欢迎一样。它是基于它对我日常生活的影响。成功的定义是什么，你永远不要让任何人说服你。</p>
<p>（9）我玩得很开心</p>
<p>我认为编码是有趣的（在大多数情况下）。有乐趣意味着我喜欢工作。即使我不太喜欢这样做的想法。</p>
<p>（10）收获</p>
<p>我们都会犯错。我发出的第一个版本有一个大错误！但我发现它并从错误中学习。学习也意味着我不会为错误而感到羞愧。不，这意味着我会把错误当作生命的方式来指明我下一步需要学的东西。</p>
<h4>文章转载自 开源中国社区 [http://www.oschina.net]</h4>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 12:55:03</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>保持开源项目健康运行并减少压力的 10 件事的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z76mQdp.html" rel="bookmark">大规模运行MongoDB应该知道的10件事</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MongoDB MongoDB的首席解决方案架构师Asya Kamsky 最近发表了一篇文章,概括了大规模运行MongoDB需要知道的10件事. MongoDB也需要DevOps.MongoDB是一个数据库.和任何其他的数据存储一样,它也需要容量计划.调整.监控和维护.不要因为它很容易安装.入门,同时与关系型数据库相比能够更加自然地满足开发人员的范例就认为MongoDB不需要适当的照顾和喂养.开发时它能在小样本数据集上超快地运行并不意味着你就不需要良好的模式.索引策略以及产品环境所需要的正确的硬			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MArRv3p.html" rel="bookmark">React Native开源项目如何运行（附一波开源项目）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				学习任何技术,最快捷的方法就是学习完基础语法,然后模仿开源项目进行学习,React Native也不例外.React Native推出了1年多了, 开源项目太多了,我们以其中一个举例子.给大家演示下如何运行开源项目.(前提是你已经搭建好React Native环境了) 下载开源项目 首先需要找到开源项目 ,比如下面这个. 地址: https://github.com/Bob1993/react-native-gank 进入github, clone到本地或者直接download到本地. 按照之前			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyeNAJM.html" rel="bookmark">遗留开发项目转移到PaaS之前需要考虑的五件事</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				相对于管理你自己的发展基础设施而言,平台即服务为用户提供了非常多的优势,你能够拥有更多的时间专注在设计和编码上面.但是对于新项目而言,PaaS或许是首选,但是PaaS可能不适合现有的.遗留的开发工作. 将遗留的开发项目转移到平台即服务(PaaS)之前,需要考虑五件事. 如何使用PaaS? 不同的公司,PaaS起到不同的作用,来适应他们的IT环境和目标.首先,你必须找出如何将PaaS融入到你的组织中.对于一些服务,你可以轻松地将计算移动到云,同时保持当地资源的其他功能.例如,Pi云提供应用接口(A			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBP4Oop.html" rel="bookmark">三分钟快速搭建开源PHP程序运行环境</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 对于很多站长来说,相信选择开源程序是一种比较经常的做法,选择开源程序的好处有很多,比如便于系统的扩展.成本较低.灵活性强等.那么,很多站长新手在刚刚接触开源程序的时候,当下载完开源项目的代码后,第一个面对的问题,就是如何相信将整个项目运行起来.对于国内外很多开源的项目,包括开源CMS.网店系统.博客系统.甚至SNS等,很多都是基于Apache			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgV89Bb.html" rel="bookmark">开源项目-broadleaf部署问题，还有他的搜索引擎是怎么运行的</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 broadleaf部署问题,还有他的搜索引擎是怎么运行的 broadleaf开源项目部署不成功,求具体教程.还有求大神指点它的搜索引擎是怎么运行的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvG8R9p.html" rel="bookmark">国内大公司的开源项目一览表</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				奇虎360 https://github.com/Qihoo360 1.MySQL中间层 Atlas Atlas是由 Qihoo 360,  Web平台部基础架构团队开发维护的一个基于MySQL协议的数据中间层项目.它在MySQL官方推出的MySQL-Proxy 0.8.2版本的基础上,修改了大量bug,添加了很多功能特性.目前该项目在360公司内部得到了广泛应用,很多MySQL业务已经接入了Atlas平台,每天承载的读写请求数达几十亿条. 主要功能:* 读写分离* 从库负载均衡* IP过滤*			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn73lkz.html" rel="bookmark">Android开源项目--工具库篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文为那些不错的Android开源项目--开发工具库篇,主要介绍常用的开发库,包括依赖注入框架.图片缓存.网络相关.数据库ORM建模.Android公共库.Android 高版本向低版本兼容.多媒体相关及其他.   最新内容请访问AndroidOpenProject@Github,欢迎Star和Fork. 对你有帮助的话,去知乎点个赞让更多人了解:Android 优秀开源项目及特效推荐.   Android开源项目系列汇总已完成,包括: Android开源项目第一篇--个性化控件(View)篇A			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlQ45ap.html" rel="bookmark">Android开源项目第二篇&mdash;&mdash;工具库篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android开源项目第二篇--工具库篇 本文为那些不错的Android开源项目第二篇--开发工具库篇,主要介绍常用的开发库,包括依赖注入框架.图片缓存.网络相关.数据库ORM建模.Android公共库.Android 高版本向低版本兼容.多媒体相关及其他.   最新内容请访问AndroidOpenProject@Github,欢迎Star和Fork.   Android开源项目系列汇总已完成,包括: Android开源项目第一篇--个性化控件(View)篇Android开源项目第二篇--工具库			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvE5Arb.html" rel="bookmark">GitHub上史上最全的Android开源项目分类汇总</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天在看博客的时候,无意中发现了 @Trinea在GitHub上的一个项目 Android开源项目分类汇总,由于类容太多了,我没有一个个完整地看完,但是里面介绍的开源项目都非常有参考价值,包括很炫的界面特效设计.个性化控件.工具库.优秀的Android开源项目.开发测试工具.优秀个人和团体等.可以这样说,每一位Andorid开发人员都能从中找到一个或多个适用自己项目的解决方案,消化吸收并加以利用,可以为自己的APP增色不少.文章最后还列出了部分国外著名Android开发者的信息,包括GitHub			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBx5Ap.html" rel="bookmark" class="title">教你如何缩小SQL Server数据库日志文件</a>
					<div>
						问题:数据库实际大小为600MB, 日志文件实际大小为33MB, 但日志文件占用空间为2.8GB!试了多种方式,SHIRNK DATABASE, TRUNCATE LOG FILE, 都没办法将文件缩 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEeZ6b.html" rel="bookmark" class="title">什么是web标准、可用性、可访问性</a>
					<div>
						文章描述:浅谈web标准.可用性.可访问性. 前言:大家不难发现,只要是招聘UED相关的岗位,如前端开发工程师.交互设计师.用户研究员甚至视觉设计师,一般都对web标准.可用性和可访问性的理解有要求. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2eo5M.html" rel="bookmark" class="title">变Windows 2003为工作站</a>
					<div>
						相对于工作站系统,windows server 2003由于做了更多的内核优化,所以在稳定性和安全性方面有很大的提高.但是, 很多人并不是需要Server的全部功能的,而且Server系统关闭了某些工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAalvJM.html" rel="bookmark" class="title">debian 7安装输入法并配置小鹤双拼</a>
					<div>
						Debian最新版本已出到7.2,代号wheezy,(版本帝chrome都已经出到了31),要能将Linux做日常使用,中文输入法是肯定要安装的.之前一直用的是ibus-rime,但是只在unstab ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZO8kYb.html" rel="bookmark" class="title">mysql数据文件目录迁移</a>
					<div>
						  以前都是改/etc/my.cnf,再将数据文件移到新的目录下,操作起来比较烦,且易出错,今天学习了一种新的方法,再此记录和分享. 1.停掉mysql service mysqld stop 2.移 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwNVqz.html" rel="bookmark" class="title">PHP解析RSS的方法</a>
					<div>
						 这篇文章主要介绍了PHP解析RSS的方法,实例分析了php解析RSS的原理与XML文件的操作技巧,需要的朋友可以参考下     本文实例讲述了PHP解析RSS的方法.分享给大家供大家参考.具体如下: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBl8Oz.html" rel="bookmark" class="title">如何用OS X10&period;10的imessage分享屏幕？</a>
					<div>
						  其实十分简单,因为只是imessage除了启动 FaceTime 语音和视频聊天以外的一个新功能.在打开imessage与朋友聊天的时候.在聊天框的右上角会有一个Details (详细信息),点击 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYQLrM.html" rel="bookmark" class="title">wpkg&period;org自动跳转完美解决教程</a>
					<div>
						  wpkg.org自动跳转解决方法 参考hosts文件修改图文教程,在Hosts文件中添加以下两条: 127.0.0.1 wpkg.org 127.0.0.1 facebook.net wpkg.o ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVw8PYb.html" rel="bookmark" class="title">什么是电脑隐藏文件</a>
					<div>
						  一.隐藏文件具体操作步骤: 1.右击你想隐藏的文件; 2.点击最底层的属性栏; 3.在隐藏框上打勾; 4.点击应用或者确定即可. 二.插看隐藏文件 1.打开文件夹选项 鼠标单击窗口上的&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWYDOp.html" rel="bookmark" class="title">java中除了父类，子类可以有同名的方法</a>
					<div>
						问题描述 java中除了父类,子类可以有同名的方法 java中除了父类,子类可以有同名的方法 非子类,父类,可以有同名的方法吗 b是a的父类,b是c的父类,那a是c的父类吗 解决方案 b是a的父类,b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOl23vb.html" rel="bookmark" class="title">深入浅出cassandra 3 例子背后的模型</a>
					<div>
						/**    * author: ahuaxuan(张荣华)    * date 2010-2-25    */ 深入浅出cassandra 3 例子背后的模型 在上一篇文章中,ahuaxuan和大家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPP11rp.html" rel="bookmark" class="title">腾讯：精准定位 局部发展</a>
					<div>
						大家知道,在十年前,传统IT企业如金山或金蝶,软件开发常以年为单位.年初由产品经理写好一份大需求,各方评估完后启动项目.设计.开发各做几个月后进行提测,之后缓慢迭代.虽然现在听来,一年的时间很长,但到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOl8oxb.html" rel="bookmark" class="title">Jquery倒数计时按钮&mdash;setTimeout</a>
					<div>
						  &lt;head runat=&quot;server&quot;&gt;     &lt;title&gt;&lt;/title&gt;     &lt;script type=&quot;te ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5N7lWz.html" rel="bookmark" class="title">改编码-httpclient4&plus;怎么禁用编码&lpar;Content-Transfer-Encoding&rpar;</a>
					<div>
						问题描述 httpclient4+怎么禁用编码(Content-Transfer-Encoding) httpclient当POST表单时使用了Content-Type:multipart/form- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrGW8M.html" rel="bookmark" class="title">外链-网页内嵌播放器播放百度网盘音乐</a>
					<div>
						问题描述 网页内嵌播放器播放百度网盘音乐 rt 如何在一个HTML的播放器里 播放百度网盘的音乐 我懂HTML内嵌播放器,也懂把分享链接转成永久链接,但是把永久链接放上,播放不了 是不是链接无效 请教 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmxnZz.html" rel="bookmark" class="title">CNN 中千奇百怪的卷积方式大汇总</a>
					<div>
						这篇总结很专业,并且很好的回答了评论中的疑问: Depthwise Separable Convolution 就是卷积加 group 吧? 这篇文章里是这么说的: 要注意的是,Group conv  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NPNaz.html" rel="bookmark" class="title">输入的字符串格式不正确</a>
					<div>
						问题描述 intid=Convert.ToInt32(e.CommandArgument);strings=GridView1.Rows[id].Cells[2].Text;stringurl;url ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKL0Vb.html" rel="bookmark" class="title">combobox-在EXT的可编辑表格里加入一个comboBox&comma;但是下拉框选项一直处于加载中状态</a>
					<div>
						问题描述 在EXT的可编辑表格里加入一个comboBox,但是下拉框选项一直处于加载中状态 comboBox是从本地取得数据,渲染函数我也写了.就是其选择一直加载不出来,但是点击的时候可以选择第一个选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5gD5M.html" rel="bookmark" class="title">微软推Win 7版本IE10浏览器 XP仍然不能用</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 北京时间11月14日消息,微软今天宣布推出Windows 7版本的IE10浏览器. IE10浏览器经过重新设计,上个月Windows 8推出时,IE10 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRD2e8z.html" rel="bookmark" class="title">Error generating final archive&colon; Debug certificate expired&hellip;&hellip;</a>
					<div>
						问题描述: 搭建Android开发环境时,Eclipse还有SDK和ADT都是从官网下载的.搭好以后为了测试,就导入一个以往的小项目测试,悲剧了: 项目总是有个红色感叹号,或者小八叉,但是代码里又不报 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoX6OM.html" rel="bookmark" class="title">解难题，求大神，有满分，不食言</a>
					<div>
						问题描述 c#的comdll里添加了webservices引用,生成后用regasm注册并生成tlb,用非.net语言进行com调用时提示:在ServiceModel客户端配置部分中,找不到引用协定& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqPoqp.html" rel="bookmark" class="title">揭密马明哲平安战略&OpenCurlyDoubleQuote;足球11人&rdquo;</a>
					<div>
						中国平安近日向外透露了集团最新战略&quot;平安战车&quot;,并给出了战车阵容.据了解&quot;平安战车&quot;是董事长马明哲提出要借鉴足球界的&quot;德意志战车&quot;概念来打造 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqxJjb.html" rel="bookmark" class="title">如何提高你博客的Alexa排名</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 软矿博客的Alexa排名更是在三个月内完成800w的上升,到目前的145000左右,你可以点击博客底部的网站排名查看软矿最新的Alexa排名.我是如何做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0m00p.html" rel="bookmark" class="title">python命令行参数sys&period;argv使用示例&lowbar;python</a>
					<div>
						复制代码 代码如下: #diff.py#!/bin/env python import sys if len(sys.argv) &lt;&gt; 3:    print &quot;Usage: & ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkljNM.html" rel="bookmark" class="title">Yii框架中jquery表单验证插件用法示例&lowbar;php实例</a>
					<div>
						本文实例讲述了Yii框架中jquery表单验证插件用法.分享给大家供大家参考,具体如下: 运行效果图如下: 视图层: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVPvqz.html" rel="bookmark" class="title">精致404 错误页面</a>
					<div>
						&lt;!doctype html public &quot;-//w3c//dtd xhtml 1.0 transitional//en&quot; &quot;http://www.w3.org/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVZ1Bz.html" rel="bookmark" class="title">PHP自带方法验证邮箱、URL、IP是否合法的函数&lowbar;php技巧</a>
					<div>
						以前用PHP验证邮箱.URL.IP是否合法都是通过自己写正则来实现,但是有时候脑子发昏,可能会写出一个不是完全正确的正则,导致验证出错,今天发现原来PHP本身自带了验证邮箱.URL.IP是否合法的函数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba624JM.html" rel="bookmark" class="title">iostream-C&plus;&plus;，请问这句代码是什么意思</a>
					<div>
						问题描述 C++,请问这句代码是什么意思 Rectangle( int a=0, int b=0):Shape(a, b) { } 下面是完整的代码 #include using namespace  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1Q1xb.html" rel="bookmark" class="title">大数据与DNA一起带你追本溯源</a>
					<div>
						我们是谁?我们怎么到达这里?我们从何而来?我们去往何处?这些是人类在发展过程中永远在探索的问题.而据国外科技媒体TheVerge报道,对人类祖先的永恒探求正走向结局.原因是系谱学(搜寻并考证人类祖先) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLkJgM.html" rel="bookmark" class="title">Cisco Live 2017大会发布的5款热门物联网解决方案</a>
					<div>
						本周二在拉斯维加斯开幕的Cisco Live 2017大会上,思科公布了一系列新的物联网解决方案,旨在提升思科Jasper的销售额. 思科在2016年年初以14亿美元收购Jasper Technolo ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
